Skip to main content
POST
/
sme-loan-applications
/
{applicationId}
/
offers
Issue a credit offer
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/sme-loan-applications/{applicationId}/offers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "facilityAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "tenorMonths": 123,
  "marginBps": 123,
  "fees": [
    {
      "type": "<string>",
      "amount": {
        "amount": "12500.00",
        "currency": "EUR"
      }
    }
  ],
  "expiresAt": "2023-11-07T05:31:56Z"
}
'
{
  "offerId": "off_01JQ9MGMA2V49NWJQX2A9VX33J",
  "applicationId": "<string>",
  "facilityAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "tenorMonths": 123,
  "marginBps": 325,
  "fees": [
    {
      "type": "arrangement-fee",
      "amount": {
        "amount": "12500.00",
        "currency": "EUR"
      }
    }
  ],
  "expiresAt": "2023-11-07T05:31:56Z",
  "status": "issued"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

applicationId
string
required

Body

application/json
facilityAmount
object
required
tenorMonths
integer
required
marginBps
integer
fees
object[]
expiresAt
string<date-time>

Response

Offer issued

offerId
string
Example:

"off_01JQ9MGMA2V49NWJQX2A9VX33J"

applicationId
string
facilityAmount
object
tenorMonths
integer
marginBps
integer
Example:

325

fees
object[]
expiresAt
string<date-time>
status
enum<string>
Available options:
issued,
accepted,
expired,
withdrawn